Subject: bug#33914: In man pages, the URL's should not be split on two lines

From: Vincent Lefevre <[email-masked]>
Date: Sun, 30 Dec 2018 01:41:20 +0100

In the dircolors(1) man page (and other ones for long command names)
of GNU coreutils 8.30, as output in a 80-column terminal, one has

REPORTING BUGS
       GNU coreutils online help: <https://www.gnu.org/software/coreutils/>
       Report   dircolors   translation   bugs   to   <https://translationpro‐
       ject.org/team/>

and

SEE ALSO
       Full  documentation at: <https://www.gnu.org/software/coreutils/dircol‐
       ors>
       or available locally via: info '(coreutils) dircolors invocation'

Two of the URL's are split on two lines, making them difficult to
follow.

The corresponding dircolors.1 file contains:

Report dircolors translation bugs to <https://translationproject.org/team/>

and

Full documentation at: <https://www.gnu.org/software/coreutils/dircolors>

The issue may come from the fact that the URL's are not marked up as
such. http://man7.org/linux/man-pages/man7/groff_man.7.html mentions
macros for hyperlinks. Thus this might be the solution...

-- 
Vincent Lefèvre <[email-masked]> - Web: <https://www.vinc17.net/>
100% accessible validated (X)HTML - Blog: <https://www.vinc17.net/blog/>
Work: CR INRIA - computer arithmetic / AriC project (LIP, ENS-Lyon)